Page MenuHomePhabricator

Incorrect data-mw.parts.template.href for transclusions of templates containing ':' in their name
Closed, ResolvedPublic

Description

The data-mw.parts.template.href for transclusions of templates containing ':' in their name is incorrect. Example: https://en.wikipedia.org/w/index.php?title=User:Matma_Rex/sandbox&oldid=785699590 (https://en.wikipedia.org/api/rest_v1/page/html/User%3AMatma_Rex%2Fsandbox)

{{CSI: Cyber}}
{{CSI}}
<div class="navbox navbox-spacing-temp" style="padding:3px" about="#mwt1" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"CSI: Cyber","href":"./CSI:_Cyber"},"params":{},"i":0}}]}' id="mwAQ">...

<div class="navbox navbox-spacing-temp" style="padding:3px" about="#mwt2" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"CSI","href":"./Template:CSI"},"params":{},"i":0}}]}' id="mwAg">...

href is given as "./CSI:_Cyber" but it should be "./Template:CSI:_Cyber".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 11:00 PM
Arlolra claimed this task.Jun 15 2017, 1:01 AM
Arlolra triaged this task as Medium priority.

Change 359088 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T167933: Use mediawiki-title to resolve the template namespace

https://gerrit.wikimedia.org/r/359088

ssastry moved this task from Backlog to In Progress on the Parsoid board.Jun 15 2017, 3:46 AM

Change 359088 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T167933: Use mediawiki-title to resolve the template namespace

https://gerrit.wikimedia.org/r/359088

Arlolra closed this task as Resolved.Jun 18 2017, 4:46 PM

After deploy and ?action=purge, we have:

<div class="navbox navbox-spacing-temp" style="padding:3px" about="#mwt1" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"CSI: Cyber","href":"./Template:CSI:_Cyber"},"params":{},"i":0}}]}' id="mwAQ">
<div class="navbox navbox-spacing-temp" style="padding:3px" about="#mwt2" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"CSI","href":"./Template:CSI"},"params":{},"i":0}}]}' id="mwAg">